/*Christian Neunaber*/

#wrapper {
	margin-right: auto;
	margin-left: auto;
	margin-top: 20px;
	width: 95%;
	max-width:1150px;
	}
	
.hr {
	height: 40px;
  	width: 100%;
	/*background-color:#000000;*/
	}
	
.hr_border {
	height: 30px;
  	width: 100%;
	border-top: 1px #cccccc solid;
	}
	
.h1 {
	font-family: 'Arvo', serif;
	text-transform: uppercase;
	font-size: 30px;
	padding-top: 30px;
	padding-bottom: 30px;
	}
	
#header {
	width: 100%;
	display:-webkit-flex;
	display:inline-flex;
	flex-direction: row;
	}

#logo {
	width: 20%;
	min-width: 190px;
	height:150px;
	float:left;
	}

#navigation {
	display: inline-block;
	float:right;
	width: 80%;
	margin-top:97px;
	}
	
#find_me {
	width:100%;
	height: 100px;
	font-family: 'Arvo', serif;
	text-transform: uppercase;
	font-size: 30px;
	border-bottom: 1px #cccccc solid;
	border-top: 1px #cccccc solid;
	text-align: center;
	display: table;  
	}
	
#social {
	width:100%;
	height: 100px;
	text-align: center; 
	}
	
#footer {
	width:100%;
	text-align: center; 
	font-size: 14px;
	}
	
/* Home Container 2 Elements*/
#container2home {
	width:100%;
	display:-webkit-flex;
	display:inline-flex;
	flex-direction: row;
}

#home2_1 {
	/*background:red;*/
	width:25%;
	min-width: 240px;
	height: 227px;
	text-align: left; 
	margin-top: 15px;
}

#home2_2 {
	/*background:yellow;*/
	width:75%;
	padding: 10px;	
}


/* About me Container 2 Elements*/
#container2about {
	width:100%;
	display:-webkit-flex;
	display:inline-flex;
	flex-direction: row;
}

#about2_1 {
	/*background:red;*/
	width:75%;
	padding: 10px;
	padding-right: 30px;
}

#resume2_2 {
	/*background:yellow;*/
	width:25%;
	height: 150px;
	padding: 15px;
	padding-bottom: 30px;
	background-color: #f5f5f5;
	text-align: center; 
	margin-top: 35px;
}


/* Container 2 Elements*/
#container2 {
	width:100%;
	display:-webkit-flex;
	display:inline-flex;
	flex-direction: row;

}

#box2_1 {
	width:50%;
	padding: 25px;
	border-right: 1px #cccccc solid;
}

#box2_2 {
	width:50%;
	padding: 25px;
	padding-left:40px;
}


/* Projects */
#projects {
	width:100%;
	display:-webkit-flex;
	display:inline-flex;
	flex-direction: row;
}

#box1 {
	width:33%;
	padding: 10px;
}

#box2 {
	width:33%;
	padding: 10px;
}

#box3 {
	width:33%;
	padding: 10px;
}



/*formatierungen*/

body {
	background-color: #ffffff;
	color: #333333;
}

img {
	margin:10px 5px;
}

/*schriftarten*/

body,td,p,a,b,i,ol,nobr,tt,font {
	font-family: 'Oxygen', sans-serif;
	font-size: 18px;
	color: #333333;
	line-height: 1.4;
}

a {
	font-size: 20px;
	text-transform: uppercase;
	color: #333333;
	}

ul {
    list-style-image: url('img/list_style_image.png');
} 

h1 {
	font-family: 'Arvo', serif;
	text-transform: uppercase;
	font-size: 30px;
	text-align: left;
	color: #333333;
	font-weight:light;
}

/*klassen*/

.center {
  display: table-cell; 
  vertical-align: middle; 
  text-align: center; 
}

.uppercase {
  text-transform: uppercase;
}

.resume {
	font-family: 'Arvo', serif;
	text-transform: uppercase;
	font-size: 18px;
}

.link {
	font-family: 'Oxygen', sans-serif;
	font-size: 14px;
	color: #333333;
	text-decoration:none;
	text-transform:none;
}

/* Clearfix */
.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}
.clearfix:after {
    clear: both;
}
.clearfix {
    *zoom: 1;
}

/* Navigation */

nav {
	height: 40px;
	width: 100%;
	font-family: 'Oxygen', sans-serif;
	font-size: 20px;
	color: #333333;
	position: relative;
	text-transform: uppercase;
}
nav ul {
	padding: 0;
	margin: 0 auto;
	height: 40px;
}
nav li {
	display: inline;
	float: right;
}
nav a {
	color: #333;
	display: inline-block;
	width: 120px;
	text-align:center;
	text-decoration: none;
	line-height: 40px;
}

nav a:hover, nav a:active {
	border-bottom: 2px solid #25aae1;
}

nav a#pull {
	display: none;
}

@media screen and (max-width: 800px) {
	
	#wrapper {
	margin-right: auto;
	margin-left: auto;
	width: 95%;
	}


/* Home Container 2 Elements*/
#container2home {
	width:100%;
	display:-webkit-flex;
	display:flex;
	-webkit-flex-direction: column;
	flex-direction: column;
}

#home2_1 {
	/*background:red;*/
	width:100%;
	padding: 10px;
	height: 227px;
	text-align: left; 
	margin-top: 15px;
}

#home2_2 {
	/*background:yellow;*/
	width:100%;
	padding: 10px;	
}


	
/* Container 2 Elements*/
#container2about {
	width:100%;
	display:-webkit-flex;
	display:flex;
	-webkit-flex-direction: column;
	flex-direction: column;
}

#about2_1 {
	/*background:red;*/
	width:100%;
	padding: 10px;
}

#resume2_2 {
	/*background:yellow;*/
	width:100%;
	height: 150px;
	padding: 10px;
	background-color: #f5f5f5;
	text-align: center; 
	margin-top: 35px;
}


/* Container 2 Elements*/
#container2 {
	width:100%;
	display:-webkit-flex;
	display:flex;
	-webkit-flex-direction: column;
	flex-direction: column;
}

#box2_1 {
	/*background:red;*/
	width:100%;
	padding: 10px;
	border-right: 1px #ffffff solid;
}

#box2_2 {
	/*background:yellow;*/
	width:100%;
	padding: 10px;
}
	
}


/*Styles for screen 600px and lower*/
@media screen and (max-width: 600px) {
	nav { 
  		height: auto;
  	}
  	nav ul {
  		width: 100%;
  		display: block;
  		height: auto;
  	}
  	nav li {
  		width: 100%;
  		float: left;
  		position: relative;
  	}
  	nav li a {
	
	}
  	nav a {
	  	text-align: center;
	  	width: 100%;
	  	text-indent: 25px;
  	}
	
	nav a#pull {
		display: block;
		width: 100%;
		position: relative;
	}
	nav a#pull:after {
		content:"";
		background: url('img/nav-icon.png') no-repeat;
		width: 30px;
		height: 30px;
		display: inline-block;
		position: absolute;
		right: 15px;
		top: 10px;
	}
	
		nav ul {
		display: none;
		height: auto;
	}
	
/* Container 2 Elements PARTNERS*/

#header {
	width:100%;
	display:-webkit-flex;
	display:flex;
	-webkit-flex-direction: column;
	flex-direction: column;
	}

#logo {
	width: 100%;
	height:150px;
	text-align:left;
	}

#navigation {
	width: 100%;
	margin-top:0px;
	}
	
}


/*Smartphone*/
@media only screen and (max-width : 320px) {
	nav li {
		display: block;
		float: left;
		width: 100%;
	}
	nav li a {

	}
}


/* entire container, keeps perspective */
.flip-container {
	perspective: 1000;
}
	/* flip the pane when hovered */
	.flip-container:hover .flipper, .flip-container.hover .flipper {
		transform: rotateY(180deg);
	}

.flip-container, .front, .back {
	width: 350px;
	height: 250px;
}

/* flip speed goes here */
.flipper {
	transition: 0.6s;
	transform-style: preserve-3d;

	position: relative;
}

/* hide back of pane during swap */
.front, .back {
	backface-visibility: hidden;

	position: absolute;
	top: 0;
	left: 0;
}

/* front pane, placed above back */
.front {
	z-index: 2;
	/* for firefox 31 */
	transform: rotateY(0deg);
}

/* back, initially hidden pane */
.back {
	transform: rotateY(180deg);
}